play.data.parsing

## Class DataParser

- java.lang.Object
- - play.data.parsing.DataParser

- Direct Known Subclasses:
    ApacheMultipartParser, TextParser, UrlEncodedParser

      public abstract class DataParser
      extends java.lang.Object

  A data parser parse the HTTP request data to a Map<String,String[]>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataParser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.Map<java.lang.String,java.lang.String[]>` | `parse(java.io.InputStream is)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataParser

          public DataParser()

  - ### Method Detail

    - #### parse

          public abstract java.util.Map<java.lang.String,java.lang.String[]> parse(java.io.InputStream is)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly